Subject: Re: bug#54800: 28.1; calc: Cursor positioned at weird position in calc stack

From: Eli Zaretskii <[email-masked]>
Date: Wed, 13 Apr 2022 16:11:04 +0300

> Date: Tue, 12 Apr 2022 22:44:16 +0200
> From: Christoph Arenz <[email-masked]>
> Cc: [email-masked]
> 
> 
> > And there are still cases where above does not work correctly.
> > E.g. when using a theme which has different line heights for header
> > line and mode line than for text lines,
> > say M-x load-theme leuven .
> >
> > Approaching it differently seems to cover those cases as well:
> >
> >     (vertical-motion (- 1 (window-body-height)))
> 
> N.B.
> This works for me as long as line-spacing is nil.
> For non-nil there seems to be a bug in window-body-height.
> I have opened bug report #54894 for that.

Thanks, I think people who use line-spacing in Calc stack window, or
otherwise change the default height of a window-line, should know what
they are doing and what would be the result.

I installed the change to use the 'floor' argument to window-height,
and I think this works well enough in the "usual" use cases;
everything else would be a non-trivial enhancement.  So I'm closing
this bug.